Giter Site home page Giter Site logo

h4r5h1t / webcopilot Goto Github PK

View Code? Open in Web Editor NEW
751.0 751.0 131.0 87 KB

An automation tool that enumerates subdomains then filters out xss, sqli, open redirect, lfi, ssrf and rce parameters and then scans for vulnerabilities.

License: MIT License

Shell 100.00%
bug-bounty bugbounty enumeration recon reconnaissance

webcopilot's Introduction

Harshit Raj Singh

πŸ€– H3ll0 Fr13nds!

Banner

Thank You for taking the time to view my GitHub Profile! 😊

πŸ‘½ wh04m1 ? πŸ€” πŸ’–

My name is Harshit Raj Singh, but in the realm of cyberspace, I'm known as H4r5h1t | G!2m0 πŸ‘¨β€πŸ’». I'm not just a Security and Automation Researcher & Engineer πŸ’»; I'm a guardian of the digital universe 🌏, dedicated to shielding it from myriad threats. Armed with a B.Tech. in Computer Science and Engineering πŸŽ“, I am well-versed in Security Automation, Application Security, Cloud Security and Penetration Testing.

I'm on a mission to harness my skill set to automate monotonous tasks and make a significant impact in the infosec community 🌐.

My arsenal of skills includes:

- βœ”οΈ Security Automation (to shield the galaxy)
- βœ”οΈ Application Security (to fortify against alien intrusions)
- βœ”οΈ Cloud Security (to navigate the nebulous skies of cloud computing)
- βœ”οΈ Penetration Testing (to outsmart enemy defenses)
- βœ”οΈ DevSecOps (to merge development, security, and operations into a unified force)
- βœ”οΈ IT Support & Automation (to sustain my cybercraft)
- βœ”οΈ Network Security (to secure interstellar communications)
- βœ”οΈ Serverless Architecture (to create scalable, efficient digital solutions)
- βœ”οΈ OSINT (to gather critical intelligence)

My linguistic expertise spans Python, Golang, Shell Scripting, with foundational knowledge in C/C++, HTML/CSS, and JavaScript. I'm well-versed in Linux (Kali, Ubuntu, Fedora) and Windows environments, adept with tools like Nmap, Burpsuite, ScoutSuite, Nuclei, Akto , Maltego, Wireshark, Selenium, Docker, and a plethora of others. In my latest role as a Cloud Security Analyst, I've honed my abilities to develop Cloud Security & Compliance scanners for AWS and GCP, and designed & developed a comprehensive serverless scanner for malware & secret scanning.

Beyond my technical prowess, I'm a strategic thinker and collaborator, experienced in Git, GitHub, GitLab, Bitbucket, CI/CD pipelines, and Agile methodologies. My journey in cybersecurity is a continuous learning experience, sharpened by active participation in labs on TryHackMe and PortSwigger .

When I unplug from my cybersecurity duties, I delve into the world of anime and man-ga/hwa/hua πŸ“ΊπŸ“–. You can stay updated on my anime and manga journey by following me on MyAnimeList and Anilist, where I keep track of everything I've watched or read and rate them accordingly. I'm always on the lookout for new and exciting anime and manga to add to my list, so don't hesitate to send me a recommendation.

My passion for otaku culture doesn't overshadow my professional commitment; I'm always keyed into the latest in cybersecurity, sharing my insights on Medium, and contributing to open-source projects. Check out my GitHub repository for security tools that safeguard digital assets, and join me on my quest to keep the galaxy cyber-secure! πŸš€

For a detailed look at my professional journey, a PDF version of my resume is available here


Harshit's GitHub stats Top Langs


Connect with me on

Twitter Badge Linkedin Badge Medium Badge Instagram Badge GitHub followers Badge

webcopilot's People

Contributors

cicadamikoto avatar h4r5h1t avatar pxmme avatar

Stargazers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

Watchers

 avatar  avatar  avatar  avatar

webcopilot's Issues

Just want to know

What if we already have subdomains now i want to do rest of the things which is provided by webcopilot something like

cat subdomain.txt | webcopilot rest of the flags

or add new flag for selecting subdomain.txt

Add option for subs

Add an option to add files with -subs or similar to files allready ran in httpx.

I don't want to scan for subs and wait for amass forever and ever.
I have the recon allreadym just want shortcuts for the rest.

Please Add checking option for tools

for example:

#!/bin/bash
if [ "$(id -u)" != "0" ]; then
    echo "This script must be run as root" 1>&2
    echo "Make sure you're root before installing the tools"
    exit 1
fi
clear
cd
mkdir -p ~/tools
mkdir -p ~/tools/temp/
mkdir -p ~/tools
mkdir -p ~/.gf
mkdir -p ~/wordlists
mkdir -p ~/wordlists/payloads/

echo "Installing all dependencies and checking is installed or not"

if ! command -v git &> /dev/null
then
    echo "git could not be found"
    sudo apt-get install git -y 2> /dev/null
fi

if ! command -v python3 &> /dev/null
then
    echo "python3 could not be found"
    sudo apt-get install python3 -y 2> /dev/null
fi

if ! command -v python3-pip &> /dev/null
then
    echo "python3-pip could not be found"
    sudo apt-get install python3-pip -y 2> /dev/null
fi

if ! command -v ruby &> /dev/null
then
    echo "ruby could not be found"
    sudo apt-get install ruby -y 2> /dev/null
fi

if ! command -v golang-go &> /dev/null
then
    echo "golang-go could not be found"
    sudo apt-get install golang-go -y 2> /dev/null
fi

if ! command -v snapd &> /dev/null
then
    echo "snapd could not be found"
    sudo apt install snapd -y 2> /dev/null
fi

if ! command -v cmake &> /dev/null
then
    echo "cmake could not be found"
    sudo apt install cmake -y 2> /dev/null
fi

if ! command -v jq &> /dev/null
then
    echo "jq could not be found"
    sudo apt install jq -y 2> /dev/null
fi

if ! command -v gobuster &> /dev/null
then
    echo "gobuster could not be found"
    sudo apt install gobuster -y 2> /dev/null
fi

if ! command -v chromium &> /dev/null
then
    echo "chromium could not be found"
    sudo snap install chromium 2> /dev/null
fi

if ! command -v parallel &> /dev/null
then
    echo "parallel could not be found"
    sudo apt-get install -y parallel 2> /dev/null
fi

sleep 2s
clear

echo "Installing python tools"
cd && git clone https://github.com/aboul3la/Sublist3r.git ~/tools/Sublist3r && cd ~/tools/Sublist3r && sudo pip3 install -r requirements.txt 2> /dev/null
cd && git clone https://github.com/sqlmapproject/sqlmap.git ~/tools/sqlmap/ 2> /dev/null
cd && git clone https://github.com/ameenmaali/urldedupe.git ~/tools/urldedupe && cd ~/tools/urldedupe && cmake CMakeLists.txt && make && mv urldedupe /usr/bin/ 2> /dev/null
cd && git clone https://github.com/devanshbatham/OpenRedireX.git ~/tools/OpenRedireX && cd ~/tools/OpenRedireX && sudo pip3 install -r requirements.txt
cd ~/tools/ && wget https://github.com/findomain/findomain/releases/latest/download/findomain-linux && chmod +x findomain-linux && mv findomain-linux /usr/bin/findomain 2> /dev/null
echo "Installing Wordlists & Payloads"
cd ~/wordlists/ && wget https://raw.githubusercontent.com/danielmiessler/SecLists/master/Discovery/Web-Content/big.txt
cd ~/wordlists/ && wget https://gist.githubusercontent.com/Lopseg/33106eb13372a72a31154e0bbab2d2b3/raw/a79331799a70d0ae0ea906f2b143996d85f71de5/dicc.txt
cd ~/wordlists/ && wget https://raw.githubusercontent.com/danielmiessler/SecLists/master/Discovery/DNS/dns-Jhaddix.txt -O dns.txt
cd ~/wordlists/ && wget https://raw.githubusercontent.com/danielmiessler/SecLists/master/Discovery/DNS/deepmagic.com-prefixes-top50000.txt -O subdomains.txt
cd ~/wordlists/ && wget https://raw.githubusercontent.com/janmasarik/resolvers/master/resolvers.txt -O resolvers.txt
cd ~/wordlists/ && wget https://raw.githubusercontent.com/Bo0oM/fuzz.txt/master/fuzz.txt -O fuzz.txt
cd ~/wordlists/payloads/ && wget https://github.com/R0X4R/Garud/edit/master/payloads/lfi.txt
sleep 2s
echo "Installing go-lang tools"
if ! command -v anew &> /dev/null
then
    echo "anew could not be found"
    go get -u github.com/tomnomnom/anew@latest 2> /dev/null
fi

if ! command -v gf &> /dev/null
then
    echo "gf could not be found"
    go get -u github.com/tomnomnom/gf@latest 2> /dev/null
fi

if ! command -v assetfinder &> /dev/null
then
    echo "assetfinder could not be found"
    go install github.com/tomnomnom/assetfinder@latest 2> /dev/null
fi

if ! command -v aquatone &> /dev/null
then
    echo "aquatone could not be found"
    go install github.com/michenriksen/aquatone@latest 2> /dev/null
fi

if ! command -v httpx &> /dev/null
then
    echo "httpx could not be found"
    go install -u github.com/projectdiscovery/httpx/cmd/httpx@latest 2> /dev/null
fi

if ! command -v kxss &> /dev/null
then
    echo "kxss could not be found"
    go install github.com/Emoe/kxss@latest 2> /dev/null
fi

if ! command -v subjack &> /dev/null
then
    echo "subjack could not be found"
    go install github.com/haccer/subjack@latest 2> /dev/null
fi

if ! command -v qsreplace &> /dev/null
then
    echo "qsreplace could not be found"
    go install -u github.com/tomnomnom/qsreplace@latest 2> /dev/null
fi

if ! command -v waybackurls &> /dev/null
then
    echo "waybackurls could not be found"
    go install github.com/tomnomnom/waybackurls@latest 2> /dev/null
fi

# go get -u github.com/tomnomnom/anew 2> /dev/null
# go get -u github.com/tomnomnom/gf 2> /dev/null
# go get github.com/michenriksen/aquatone 2> /dev/null
# go get -u github.com/tomnomnom/assetfinder 2> /dev/null
GO111MODULE=on go get -u -v github.com/bp0lr/gauplus 2> /dev/null
GO111MODULE=on go get -v github.com/projectdiscovery/httpx/cmd/httpx 2> /dev/null
# go get -v github.com/OWASP/Amass/v3/... 2> /dev/null
# go get github.com/tomnomnom/waybackurls 2> /dev/null
# go get github.com/Emoe/kxss 2> /dev/null
# go get github.com/haccer/subjack 2> /dev/null
# go get -u github.com/tomnomnom/qsreplace 2> /dev/null

echo "Installing other tools"

if ! command -v dnsx &> /dev/null
then
    echo "dnsx could not be found"
    go install -v github.com/projectdiscovery/dnsx/cmd/dnsx@latest 2> /dev/null
fi

if ! command -v dalfox &> /dev/null
then
    echo "dalfox could not be found"
    go install github.com/hahwul/dalfox/v2@latest 2> /dev/null
fi

if ! command -v crlfuzz &> /dev/null
then
    echo "crlfuzz could not be found"
    go install github.com/dwisiswant0/crlfuzz/cmd/crlfuzz@latest 2> /dev/null
fi

if ! command -v nuclei &> /dev/null
then
    echo "nuclei could not be found"
    go install github.com/projectdiscovery/nuclei/v2/cmd/nuclei@latest 2> /dev/null
fi

if ! command -v subfinder &> /dev/null
then
    echo "subfinder could not be found"
    go install github.com/projectdiscovery/subfinder/v2/cmd/subfinder@latest 2> /dev/null
fi

if ! command -v amass &> /dev/null
then
    echo "amass could not be found"
    go install -v github.com/owasp-amass/amass/v4/...@master 2> /dev/null
fi

# cd ~/tools/temp/ && git clone https://github.com/projectdiscovery/dnsx.git; cd dnsx/cmd/dnsx; go build; mv dnsx /usr/bin/ &> /dev/null 
# cd ~/tools/temp/ && git clone https://github.com/hahwul/dalfox && cd dalfox && go install 2> /dev/null
# cd ~/tools/temp/ && git clone https://github.com/dwisiswant0/crlfuzz && cd crlfuzz/cmd/crlfuzz && go build . && sudo mv crlfuzz /usr/bin/ 2> /dev/null
# cd ~/tools/temp/ && git clone https://github.com/projectdiscovery/nuclei.git && cd nuclei/v2/cmd/nuclei && go build && mv nuclei /usr/bin/ 2> /dev/null
# cd ~/tools/temp/ && git clone https://github.com/projectdiscovery/subfinder.git && cd subfinder/v2/cmd/subfinder && go build && mv subfinder /usr/bin/ 2> /dev/null
# cd ~/tools/temp/ && wget https://github.com/OWASP/Amass/releases/download/v3.13.4/amass_linux_i386.zip && unzip amass_linux_i386.zip && cd amass_linux_i386 && mv amass /usr/bin/ 2> /dev/null
cd
cp -r ~/go/src/github.com/tomnomnom/gf/examples ~/.gf/
echo 'source ~/go/src/github.com/tomnomnom/gf/gf-completion.bash' >> ~/.bashrc
echo 'export PATH=$PATH:$(go env GOPATH)/bin' >> ~/.bashrc 
git clone https://github.com/1ndianl33t/Gf-Patterns 2> /dev/null
mv ~/Gf-Patterns/*.json ~/.gf
git clone https://github.com/R0X4R/Garud.git 2> /dev/null
mv ~/Garud/payloads/patterns/*.json ~/.gf
rm -rf ~/Garud ~/Gf-Patterns 2> /dev/null
sudo cp ~/go/bin/* /usr/bin/
rm -rf ~/tools/temp/
nuclei -update-templates &> /dev/null
sleep 2s
clear

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    πŸ–– Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. πŸ“ŠπŸ“ˆπŸŽ‰

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google ❀️ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.